import vrml.Event;
import vrml.field.ConstSFBool;
import vrml.field.SFBool;
import vrml.field.SFColor;
import vrml.node.Script;

public class ChangeColor extends Script {
   // $FF: renamed from: on vrml.field.SFBool
   private SFBool field_0;
   float[] red = new float[]{1.0F, 0.0F, 0.0F};
   float[] blue = new float[]{0.0F, 0.0F, 1.0F};
   private SFColor newColor;

   public void initialize() {
      this.newColor = (SFColor)((Script)this).getEventOut("newColor");
      this.field_0 = (SFBool)((Script)this).getField("on");
   }

   public void processEvent(Event var1) {
      ConstSFBool var2 = (ConstSFBool)var1.getValue();
      if (var2.getValue()) {
         if (this.field_0.getValue()) {
            this.newColor.setValue(this.red);
         } else {
            this.newColor.setValue(this.blue);
         }

         this.field_0.setValue(!this.field_0.getValue());
      }

   }
}
